Bug 8888 - question marks in series title facet links
Summary: question marks in series title facet links
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Koha Team Lyon 3
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-08 08:57 UTC by Koha Team Lyon 3
Modified: 2013-05-23 06:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
question marks in series title facet links (1.21 KB, patch)
2012-10-08 08:57 UTC, Koha Team Lyon 3
Details | Diff | Splinter Review
Question marks in series title facet links (1.21 KB, patch)
2012-10-08 17:20 UTC, Koha Team Lyon 3
Details | Diff | Splinter Review
[SIGNED-OFF] Question marks in series title facet links (1.45 KB, patch)
2012-10-16 14:20 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Koha Team Lyon 3 2012-10-08 08:57:34 UTC Comment hidden (obsolete)
Comment 1 Koha Team Lyon 3 2012-10-08 17:20:25 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-10-16 14:20:21 UTC
Created attachment 12849 [details] [review]
[SIGNED-OFF] Question marks in series title facet links

When series title include a question or exclamation mark, theese must be removed
to prevent search failure.

http://bugs.koha-community.org/show_bug.cgi?id=8888
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Before the patch: Series facet links with ! or ? return no results.
After the patch the same links return valid results.
Comment 3 Paul Poulain 2012-10-25 16:15:27 UTC
QA Comment: one line patch

passed QA
Comment 4 Paul Poulain 2012-10-25 16:16:04 UTC
Patch pushed to master
Comment 5 Chris Cormack 2012-10-27 01:23:40 UTC
Pushed to 3.8.x (and commit message tidied) will be in 3.8.7